> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigcapital.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit the given account.



## OpenAPI

````yaml api-reference/openapi.json put /api/accounts/{id}
openapi: 3.0.0
info:
  title: Bigcapital
  description: Financial accounting software
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/accounts/{id}:
    put:
      tags:
        - Accounts
      summary: Edit the given account.
      operationId: AccountsController_editAccount
      parameters:
        - name: Authorization
          in: header
          description: >-
            Value must be 'Bearer <token>' where <token> is an API key prefixed
            with 'bc_' or a JWT token.
          required: true
          schema:
            type: string
            example: Bearer bc_1234567890abcdef
        - name: organization-id
          in: header
          description: >-
            Required if Authorization is a JWT token. The organization ID to
            operate within.
          required: true
          schema:
            type: string
        - name: id
          required: true
          in: path
          description: The account id
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EditAccountDTO'
      responses:
        '200':
          description: The account has been successfully updated.
        '404':
          description: The account not found.
components:
  schemas:
    EditAccountDTO:
      type: object
      properties:
        name:
          type: string
          description: The name of the account
          example: Bank Account
        code:
          type: string
          description: The code of the account
          example: '123456'
        accountType:
          type: string
          description: The type of the account
          example: Bank Account
        description:
          type: string
          description: The description of the account
          example: This is a description
        parentAccountId:
          type: number
          description: The parent account ID of the account
          example: 1
      required:
        - name
        - code
        - accountType
        - description
        - parentAccountId

````